Loading...
Searching...
No Matches
OBColor Class Reference

`#include <openbabel/depict/painter.h>`

## Public Member Functions

| OBColor ()
| OBColor (double _red, double _green, double _blue, double _alpha=1.0)
| OBColor (const std::string &color)
| OBColor (std::vector< double > vec)
bool | operator!= (const OBColor &other)
bool | operator< (const OBColor &other) const

## Public Attributes

double | red
double | green
double | blue
double | alpha

## Detailed Description

Color class used by OBDepict.

Since
  version 2.3

## Constructor & Destructor Documentation

## OBColor() [1/4]

OBColor | ( |  | ) |

inline

Referenced by OBColor(), OBColor(), operator!=(), and operator<().

## OBColor() [2/4]

OBColor | ( | double | _red,
|  | double | _green,
|  | double | _blue,
|  | double | _alpha = 1.0 )

inline

## OBColor() [3/4]

OBColor | ( | const std::string & | color | ) |

inline

## OBColor() [4/4]

OBColor | ( | std::vector< double > | vec | ) |

inline

## Member Function Documentation

## operator!=()

bool operator!= | ( | const OBColor & | other | ) |

inline

## operator<()

bool operator< | ( | const OBColor & | other | ) | const

inline

## Member Data Documentation

## red

double red

Referenced by CairoPainter::NewCanvas(), OBColor(), OBColor(), operator!=(), operator<(), CairoPainter::SetFillColor(), CommandPainter::SetFillColor(), CairoPainter::SetFillRadial(), CommandPainter::SetFillRadial(), CairoPainter::SetPenColor(), and CommandPainter::SetPenColor().

## green

double green

Referenced by CairoPainter::NewCanvas(), OBColor(), OBColor(), operator!=(), operator<(), CairoPainter::SetFillColor(), CommandPainter::SetFillColor(), CairoPainter::SetFillRadial(), CommandPainter::SetFillRadial(), CairoPainter::SetPenColor(), and CommandPainter::SetPenColor().

## blue

double blue

Referenced by CairoPainter::NewCanvas(), OBColor(), OBColor(), operator!=(), operator<(), CairoPainter::SetFillColor(), CommandPainter::SetFillColor(), CairoPainter::SetFillRadial(), CommandPainter::SetFillRadial(), CairoPainter::SetPenColor(), and CommandPainter::SetPenColor().

## alpha

double alpha

Referenced by OBColor(), OBColor(), CommandPainter::SetFillColor(), CommandPainter::SetFillRadial(), and CommandPainter::SetPenColor().

The documentation for this class was generated from the following file:

- painter.h